Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.exception
Interface ExtException

All Known Implementing Classes:
  AnnotatedException, ExtCertificateEncodingException, ExtCertPathBuilderException, ExtCertPathValidatorException, ExtIOException

    public interface ExtException

This is an extended exception. Java before version 1.4 did not offer the possibility the attach a cause to an exception. The cause of an exception is the `Throwable` object which was thrown and caused the exception. This interface must be implemented by all exceptions to accomplish this additional functionality.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause of the exception.

Method Detail

### getCause

    java.lang.Throwable getCause()

  Returns the cause of the exception.

  Returns:
    The cause of the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD